#include <NemoBench.h>

#include <vector>

#include "rci/dto/JointImpedance.h"

using namespace cca;
using namespace rci;
using namespace nemo;

NEMO_REP_COUNT_HINT(1000000)

NEMO_BENCH_SUITE(JointImpedance)

JointImpedance a(1.234, 2345);

JointImpedancePtr onedim;
JointImpedancePtr tendim;
std::vector<JointImpedancePtr> splitted;

RealVector threevalues = RealVector(dim(6), 1.234);
RealVector tenvalues = RealVector(dim(20), 1.234);

JointImpedancePtr merged = JointImpedance::create(threevalues);

NEMO_BENCH_CASE_SNIPPET(CreateFromValueVector)
tendim = JointImpedance::create(tenvalues);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CopyJointImpedances)
JointImpedance b = a;
temp<unsigned long int>::value += b.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(PtrCopyJointImpedances)
JointImpedancePtr b = JointImpedance::copy(a);
temp<unsigned long int>::value += b->getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(SplitJointImpedance)
splitted = merged->split<JointImpedance>();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(MergeJointImpedances)
merged->merge<JointImpedance>(splitted);
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_SUITE_END()
