#include <NemoBench.h>

#include <vector>

#include "rci/dto/CartesianPose.h"

using namespace cca;
using namespace rci;
using namespace nemo;

NEMO_REP_COUNT_HINT(1000000)

NEMO_BENCH_SUITE(Pose)

RealVector posevector = RealVector(dim(7), 1.234);

Pose p(posevector);

NEMO_BENCH_CASE_SNIPPET(CreatePoseFromDoubles)
Pose p1(1, 2, 3, 4, 5, 6, 7);
temp<unsigned long int>::value += p1.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CreatePoseFromDoubleVector)
Pose p1(posevector);
temp<unsigned long int>::value += p1.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CreatePoseHomogenuous)
PosePtr p1 = Pose::fromMetersAndRadiansHomogeneous(0.1, 0.2, 0.3, 0.4, 0.5,
		0.6, 0.7, 0.8, 0.9, 1.0, 1.1, 1.2);
temp<unsigned long int>::value += p1->getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_CASE_SNIPPET(CopyPose)
Pose p2 = p;
temp<unsigned long int>::value += p2.getDimension();
NEMO_BENCH_CASE_SNIPPET_END()

NEMO_BENCH_SUITE_END()
