#include "ControlAspect.h"

#include <sstream>
#include <algorithm>

using namespace std;

namespace rci {

ControlAspect::ControlAspect(const std::string &aname, const std::string &aID) :
    name(aname), ID(aID) {
}

ControlAspect::~ControlAspect() {
}

std::string ControlAspect::getName() const {
    return this->name;
}

std::string ControlAspect::getID() const {
    return this->ID;
}

bool ControlAspect::equals(const ControlAspectPtr &mode) const {
    return (this->getID() == mode->getID());
}

bool ControlAspect::operator<(const ControlAspectPtr &compare) {
    return (this->getID() < compare->getID());
}

ControlAspectPtr ControlAspect::create(const std::string &name,
        const std::string &ID) {
    ControlAspectPtr mode(new ControlAspect(name, ID));
    return mode;
}

std::string ControlAspect::print() const {
    ostringstream outstream(ostringstream::out);
    outstream << "ControlAspect<" << ID << ">";
    return outstream.str();
}

}
