#pragma once

#include <iostream>
#include <boost/shared_ptr.hpp>

namespace rci {

class ResourceNode;
typedef boost::shared_ptr<ResourceNode> ResourceNodePtr;

class ResourceNode {

public:

    ResourceNode(std::string nodename = "Resource");
    virtual ~ResourceNode();

    /**
     * Printing information about this node
     */
    virtual std::string print() const;

protected:
    /**
     * Copy constructor
     * Copy constructor private for now to disallow copying.
     */
    ResourceNode(ResourceNode &node);

    /**
     * Copy operator
     * Copy operator private for now to disallow copying.
     */
    void operator=(const ResourceNode&);

    std::string nodename;
};

}
