#include "CartesianAcceleration.h"

#include <math.h>

#include <boost/math/quaternion.hpp>

using namespace std;
using namespace nemo;
using namespace rsc::math;

namespace rci {

TranslationalAcceleration::TranslationalAcceleration() :
        CartesianTranslational() {
}

TranslationalAcceleration::~TranslationalAcceleration() {
}

TranslationalAcceleration::TranslationalAcceleration(double valx, double valy,
        double valz) :
        CartesianTranslational(valx, valy, valz) {
}

TranslationalAcceleration::TranslationalAcceleration(nemo::RealVector values) :
        CartesianTranslational(values) {
}

TranslationalAccelerationPtr TranslationalAcceleration::fromM_s2(double x,
        double y, double z) {
    return TranslationalAccelerationPtr(new TranslationalAcceleration(x, y, z));
}

double TranslationalAcceleration::m_s2(unsigned int index) {
    return this->asDouble(index);
}

nemo::RealVector TranslationalAcceleration::m_s2Vector() {
    return this->asDoubleVector();
}

std::string TranslationalAcceleration::print() const {
    ostringstream outstream(ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "TranslationalAcceleration<x=" << this->asDouble(0) << ",y="
            << this->asDouble(1) << ",z=" << this->asDouble(2) << ">(m/s^2)";
    return outstream.str();
}

}
