#include "CartesianForces.h"

using namespace nemo;

namespace rci {

Forces::Forces() :
    CartesianTranslational() {
}

Forces::Forces(double valx, double valy, double valz) :
    CartesianTranslational(valx, valy, valz) {
}

Forces::Forces(const Forces& forces) :
    CartesianTranslational() {
    this->_values = RealVector(dim(3));
    this->_values[0] = forces.asDouble(0);
    this->_values[1] = forces.asDouble(1);
    this->_values[2] = forces.asDouble(2);
}

Forces::Forces(nemo::RealVector values) :
    CartesianTranslational(values) {
}

Torques::Torques() :
    CartesianRotational() {
}

Torques::Torques(double vala, double valb, double valc, double vald) :
    CartesianRotational(vala, valb, valc, vald) {
}

Torques::Torques(nemo::RealVector values) :
    CartesianRotational(values) {
}

Torques::Torques(const Torques& torques) :
    CartesianRotational() {
    this->_values = RealVector(torques.asDouble(0), torques.asDouble(1),
            torques.asDouble(2));
}

Interaction::Interaction() :
    CartesianValue() {
}

Interaction::Interaction(double valx, double valy, double valz, double vala,
        double valb, double valc, double vald) :
    CartesianValue(valx, valy, valz, vala, valb, valc, vald) {
}

Interaction::Interaction(const Interaction& intact) :
    CartesianValue(intact) {
}

Interaction::Interaction(nemo::RealVector values) :
    CartesianValue(values) {
}

}
