#include "JointValues.h"

using namespace std;

namespace rci {

JointValues::JointValues() :
		DataTransferObject(), ContainingDoubles() {

}
JointValues::JointValues(const nemo::RealVector& values) :
		DataTransferObject(), ContainingDoubles(values) {
}

JointValues::JointValues(double value) :
		DataTransferObject(), ContainingDoubles(value) {
}

JointValues::JointValues(unsigned int dim, double value) :
		DataTransferObject(), ContainingDoubles(dim, value) {
}

JointValues::JointValues(const JointValues& values) :
		DataTransferObject(), ContainingDoubles(values) {
}

std::string JointValues::print() const {
	ostringstream outstream(ostringstream::out);
	outstream.precision(3); // Precision when printing double values
	outstream << "JointValues<";
	for (unsigned int i = 0; i < this->getDimension(); ++i) {
		if (i > 0) {
			outstream << ",";
		}
		outstream << this->asDouble(i);
	}
	outstream << ">" << std::endl;
	return outstream.str();
}

}
