#pragma once

#include <iostream>
#include <sstream>
#include <boost/shared_ptr.hpp>

#include <cca/dto/DataTransferObject.h>
#include "cca/dto/ContainingDoubles.h"

namespace rci {

class JointValues;
typedef boost::shared_ptr<JointValues> JointValuesPtr;

/**
 * Domain object, representing Joint Values
 *
 * @todo Easier access of single values, e.g. [] operator
 * @ingroup DTO
 */
class JointValues: public cca::DataTransferObject,
        public cca::ContainingDoubles {

public:
    JointValues();
    JointValues(const nemo::RealVector& values);
    JointValues(double value);
    JointValues(unsigned int dim, double value);
    JointValues(const JointValues& values);

protected:
    /**
     * Print function
     */
    virtual std::string print() const;
};

}
