#include "Length.h"

using namespace std;
using namespace nemo;
using namespace boost;
using namespace cca;

namespace rci {

Length::Length() :
		DataTransferObject() {
}

Length::Length(RealVector values) :
		DataTransferObject(), ContainingDoubles(values) {
}

LengthPtr Length::copy(const Length& length) {
	return LengthPtr(new Length(length));
}

double Length::m(unsigned int index) const {
	return this->asDouble(index);
}

std::string Length::print() const {
	ostringstream outstream(ostringstream::out);
	outstream.precision(3); // Precision when printing double values
	outstream << "Length<";
	for (unsigned int i = 0; i < this->getDimension(); ++i) {
		if (i > 0) {
			outstream << ",";
		}
		outstream << this->asDouble(i);
	}
	outstream << ">(m)" << std::endl;
	return outstream.str();
}

}
