#include "Phase.h"

#include <sstream>
#include <math.h>
#include <boost/shared_ptr.hpp>

using namespace std;
using namespace nemo;
using namespace cca;

namespace rci {

Phase::Phase() :
        DataTransferObject(), ContainingDoubles() {
}

Phase::Phase(double value) :
        DataTransferObject(), ContainingDoubles(1) {
    this->setValue(value);
}

std::string Phase::print() const {
    ostringstream outstream(ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "Phase<";
    for (unsigned int i = 0; i < this->getDimension(); ++i) {
        if (i > 0) {
            outstream << ",";
        }
        outstream << this->asDouble(i);
    }
    outstream << ">(rad)" << std::endl;
    return outstream.str();
}

}
