#include "Power.h"

using namespace std;
using namespace nemo;

namespace rci {

Power::Power() :
    JointValues() {
}

Power::Power(RealVector values) :
    JointValues(values) {
}

Power::Power(double value) :
    JointValues(value) {
}

std::string Power::print() const {
    ostringstream outstream(ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "Power<";
    for (unsigned int i = 0; i < this->getDimension(); ++i) {
        if (i > 0) {
            outstream << ",";
        }
        outstream << this->asDouble(i);
    }
    outstream << ">(W)" << std::endl;
    return outstream.str();
}

}
