#pragma once

#include <iostream>
#include <sstream>
#include <math.h>
#include <boost/shared_ptr.hpp>

#include "rci/dto/JointValues.h"

namespace rci {

class Power;
typedef boost::shared_ptr<Power> PowerPtr;

/**
 * Domain object, representing Power values.
 * Default representation is in Watts (W), according to the International
 * System of Units (SI).
 * @ingroup DTO
 */
class Power: public JointValues {

public:
    Power();
    Power(nemo::RealVector values);
    Power(double value);

protected:
    /**
     * Print function
     */
    virtual std::string print() const;
};

}
