#include "Pressure.h"

using namespace std;
using namespace nemo;
using namespace cca;

namespace rci {

Pressure::Pressure() :
    DataTransferObject(), ContainingDoubles() {
}

Pressure::Pressure(RealVector values) :
    DataTransferObject(), ContainingDoubles(values) {
}

PressurePtr Pressure::copy(const Pressure& pressure) {
	return PressurePtr(new Pressure(pressure));
}

double Pressure::Pa(unsigned int index) const {
	return this->asDouble(index);
}

std::string Pressure::print() const {
    ostringstream outstream(ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "Pressure<";
    for (unsigned int i = 0; i < this->getDimension(); ++i) {
        if (i > 0) {
            outstream << ",";
        }
        outstream << this->asDouble(i);
    }
    outstream << ">(Pa)" << std::endl;
    return outstream.str();
}

}
