#include <gtest/gtest.h>

#include "rci/ControlAspect.h"

using namespace rci;

class ControlAspectTest: public ::testing::Test {
protected:

    ControlAspectTest() :
        emptyCtrl() {
        emptyCtrl = ControlAspect::create("Fu", "BAR");
    }

    virtual ~ControlAspectTest() {
    }

    ControlAspectPtr emptyCtrl;
};

TEST_F(ControlAspectTest, testComparison)
{
    EXPECT_TRUE(noControl->equals(noControl));
    EXPECT_TRUE(poseControl->equals(poseControl));
    EXPECT_TRUE(forceControl->equals(forceControl));
    EXPECT_TRUE(jointPositionControl->equals(jointPositionControl));
    EXPECT_TRUE(jointComplianceControl->equals(jointComplianceControl));
    EXPECT_TRUE(jointVelocityControl->equals(jointVelocityControl));

    EXPECT_FALSE(noControl->equals(poseControl));
    EXPECT_FALSE(poseControl->equals(forceControl));
    EXPECT_FALSE(forceControl->equals(jointPositionControl));
    EXPECT_FALSE(jointPositionControl->equals(jointComplianceControl));
    EXPECT_FALSE(jointComplianceControl->equals(jointVelocityControl));
    EXPECT_FALSE(jointVelocityControl->equals(noControl));
}
